package hu.se.app17;

/**
 * Conditions and prices for baggage transportation.
 */
public class AirlineService {

	private double freeBaggage = 20.0;
	private double costPerKG = 10.0;

	public double dropOffBaggage(double weightInKG) {
		double costs;
		if (weightInKG <= this.freeBaggage) {
			costs = 0.0;
		} else {
			costs = (weightInKG - this.freeBaggage) * this.costPerKG;
		}
		return costs;
	}

}
