package hu.se.app04;

/**
 * Class under test.
 */
public class KmToMileApp {
	
	private LengthUnitConverter converter;
	
	public KmToMileApp(LengthUnitConverter converter) {
		this.converter = converter;
	}
	
	public String toMiles(double km) {
		double meter = this.converter.kilometerToMeter(km);
		double inch = this.converter.meterToInch(meter);
		double miles = this.converter.inchToMile(inch);
		// return result as a String including the unit "mi".
		return miles + "mi";
	}

}
